"use server";

import { PLATFORM_MOD_ID } from "./constants";
import { createDM, findDM, updateLastMessageId } from "./db";
import { sendChatMessage } from "./redis";
import { ulid } from "ulid";

export async function sendAlert(userId: string, content: string) {
  const messageId = ulid();

  let dm = await findDM(PLATFORM_MOD_ID, userId);
  if (!dm) dm = await createDM(PLATFORM_MOD_ID, userId, messageId);
  else await updateLastMessageId(dm._id, messageId);

  await sendChatMessage({
    _id: messageId,
    author: PLATFORM_MOD_ID,
    channel: dm._id,
    content,
  });
}
